BizKitHub
DocsAPI ReferenceCart/bff/cart/delete
postCartAdmin BFF

/bff/cart/delete

Hard-deletes a cart together with its line items and applied vouchers. Multi-tenant safe — only carts of the calling organisation can be removed.

CartpostBffCartDelete

Parameters

JSON body

Request body

application/json
idstringRequired

Cart identifier (32-char shop__cart.identifier) to delete.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true
deletedbooleanRequired
itemCountnumberRequired

Number of cart items removed alongside the cart.

voucherCountnumberRequired

Number of cart-voucher rows removed alongside the cart.

Response example

application/json
{
  "success": true,
  "deleted": false,
  "itemCount": 0,
  "voucherCount": 0
}

Request example

POST /bff/cart/delete

post
curl -X POST "https://api.bizkithub.com/bff/cart/delete" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key